Get EIP-712 typed data for setting daily limit
Account Management
Get EIP-712 typed data for setting daily limit
Returns the EIP-712 typed data that needs to be signed by the user’s wallet to set a new daily limit. This endpoint is used as part of a three-step process:
- Call this endpoint to get the EIP-712 typed data
- Sign the typed data with the user’s wallet using EIP-712 signature standard
- Submit the signature to the PUT
/api/v1/accounts/daily-limitendpoint
Note: The newLimit must be an integer value between 1 and 8000.
GET
Get EIP-712 typed data for setting daily limit
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The new daily spending limit to set (1-8000, must be an integer).
Pattern:
^[1-9][0-9]*$Response
Successfully retrieved EIP-712 typed data for signing.